package cn.iocoder.yudao.module.energy.convert.account;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.energy.controller.admin.account.vo.EnergyAccountExcelVO;
import cn.iocoder.yudao.module.energy.controller.admin.account.vo.EnergyAccountRespVO;
import cn.iocoder.yudao.module.energy.controller.admin.account.vo.EnergyAccountSimpleVO;
import cn.iocoder.yudao.module.energy.controller.admin.account.vo.EnergyProjectAccountRespVO;
import cn.iocoder.yudao.module.energy.dal.dataobject.account.EnergyAccountDO;
import cn.iocoder.yudao.module.energy.dal.dataobject.account.EnergyProjectAccountDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface EnergyAccountConvert {
    EnergyAccountConvert INSTANCE = Mappers.getMapper(EnergyAccountConvert.class);
    EnergyAccountRespVO convert(EnergyAccountDO bean);
    PageResult<EnergyAccountRespVO> convertPage(PageResult<EnergyAccountDO> page);
    EnergyProjectAccountRespVO convert(EnergyProjectAccountDO bean);
    PageResult<EnergyProjectAccountRespVO> convertProjectPage(PageResult<EnergyProjectAccountDO> page);
    List<EnergyAccountExcelVO> convertExcelList(List<EnergyAccountDO> list);
    List<EnergyAccountSimpleVO> convertSimpleList(List<EnergyAccountDO> list);
}
